petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectGetId

get unique object ID

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetId(PetscObject obj,PetscObjectId *id)

Not Collective Many br

### Input Arguments

obj -object Many br

### Output Arguments

id -integer ID Many br

Many br

### Notes

The object ID may be different on different processes, but object IDs are never reused so local equality implies global equality. Many br

### See Also

PetscObjectStateGet()

Level:developer
Location:src/sys/objects/state.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages